Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class ShareableArrangeBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableArrangeBase

All Implemented Interfaces:
  ArrangeMethod, Manageable, Shareable

Direct Known Subclasses:
  AdditionalArrange, GeometricArrange, HalftoningArrange, ProbabilityArrange

    public abstract class ShareableArrangeBase

extends ShareableBase
implements ArrangeMethod

Field Summary
`protected float[][]` | `densityField`
`static int` | `MAX_NUMBER`
`protected static int` | `maxF`
`protected float` | `maxX`
`protected float` | `maxXHalbe`
`protected float` | `maxY`
`protected float` | `maxYHalbe`
`protected static float` | `prozent`
`protected long` | `seed`
`protected int` | `superNumber`
`protected float[]` | `xx`
`protected float[]` | `yy`

Constructor Summary
`ShareableArrangeBase()`

Method Summary
`abstract void` | `calculate()`
`protected float[][]` | `copyField(float[][] field)`
`float[]` | `getXx()`
`float[]` | `getYy()`
`void` | `setAll(float maxX, float maxY, float[][] densityField, long seed)`
`void` | `setNumber(int number)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### densityField

    protected float[][] densityField

### MAX_NUMBER

    public static final int MAX_NUMBER

See Also:
  Constant Field Values

### maxF

    protected static final int maxF

See Also:
  Constant Field Values

### maxX

    protected float maxX

### maxXHalbe

    protected float maxXHalbe

### maxY

    protected float maxY

### maxYHalbe

    protected float maxYHalbe

### prozent

    protected static final float prozent

See Also:
  Constant Field Values

### seed

    protected long seed

### superNumber

    protected int superNumber

### xx

    protected float[] xx

### yy

    protected float[] yy

Constructor Detail

### ShareableArrangeBase

    public ShareableArrangeBase()

Method Detail

### calculate

    public abstract void calculate()

### copyField

    protected float[][] copyField(float[][] field)

### getXx

    public float[] getXx()

  Specified by:
    `getXx` in interface `ArrangeMethod`

### getYy

    public float[] getYy()

  Specified by:
    `getYy` in interface `ArrangeMethod`

### setAll

    public void setAll(float maxX,
                       float maxY,
                       float[][] densityField,
                       long seed)

### setNumber

    public void setNumber(int number)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD